'''
Example how to the AffectButton package

@author: Peter Pul
'''
from MyAffectButton import MyAffectButton
from AffectButton.PADFaceMapped import PADFaceMapped

from PyQt4 import QtGui

import sys

if __name__ == '__main__':
    app = QtGui.QApplication(sys.argv)
        
    mw = QtGui.QMainWindow()
    mw.resize(450, 150)
    mw.setObjectName("MainWindow")
    mw.setWindowTitle('AffectButton in Python 2.7 with PyQT4')
    
#    mw.frame  = QtGui.QFrame(mw)
#    mw.frame.setObjectName("Frame")
    face    = PADFaceMapped(0, 0, 150)
    mw.affectbutton     = MyAffectButton(mw, face)
    
    mw.lineEditMoving   = QtGui.QTextEdit(mw)
    mw.lineEditMoving.setGeometry(150, 0, 150, 150)

    mw.lineEditClicked  = QtGui.QTextEdit(mw)
    mw.lineEditClicked.setGeometry(300, 0, 150, 150)
    
    mw.show()
    
    sys.exit(app.exec_())
